Most of the following comes from the GB Studio manual and may be helpful
if you ever decide to try to convert from a MIDI to a MOD. This SF2 file
has the channels mentioned below separated by banks. In other words,
*Bank 0* is *Channel 1*, *Bank 1* is *Channel 2*, *Bank 2* is
*Channel 3*, and *Bank 3* is *Channel 4*.

**DO NOT** create more than 4 tracks and **DO NOT** create chords or
layer notes on top of each other from within a track. Tracks 1, 2, and 3
can only use notes between C3 and B8. If you have a fourth track, this
is to be for noise-only and the only "note" that can be used is C5.

Use "Sound Club" for DOS or "OpenMPT" to convert the MIDI to a MOD.
Afterwards, apply effects using hUGETracker and save as a UGE file
instead of using MOD.


# GBT Player's Channel Limitations

.MOD files need to use 4 channels.

Loading a copy of template.mod before composing will ensure this is
set-up correctly.

CHANNEL #   | TYPE     | RANGE[1] | INSTRUMENTS | EFFECTS
------------|----------|----------|-------------|----------------------
Channel 1&2 | Pulse    | C3 to B8 | 1-4         | 0, C, E8, EC, B, D, F
Channel 3   | Waveform | C3 to B8 | 8-15        | 0, C, E8, EC[2]
Channel 4   | Noise    | C5       | 16-31       | C, E8, EC, B, D, F


[1] This range is for One-Indexed Trackers (C1 is the lowest-possible
    note). This is comparable to OpenMPT in default settings. Trackers
    that are Zero-Indexed by default (C0 is the lowest-possible note)
    should interpret these Note Ranges a full octave down. This is
    comparable to MilkyTracker in default settings. Using default
    settings on OpenMPT and MilkyTracker, C3 to B8 in OpenMPT sounds the
    same as C2 to B7 in MilkyTracker.

[2] Effects B, D, and F can be also used on Channel 3 if the same row
    isn't being used to set a note/instrument.

# VOLUME

**TL;DR...** The volumes can be high or low on CH 1, 2, and 4 but CH 3 
can only be normal volume or lower.

Unique Volume Settings for Channels 1, 2 and 4:

> 00, 04, 08, 0C, 10, 14, 18, 1C, 20, 24, 28, 2C, 30, 34, 38, 3C

Any number that's not a multiple of 4 will be rounded-DOWN to one of the
above numbers.

**Example:** Entering C01 , C02 and C03 will sound the same as entering 
             C00.

**Example:** Entering C40 will sound the same as entering C3C.

Channel 3 is the exception to this with only 4 unique volume settings:

> 00, 10, 20, 40

GBT Player will round Cxx effects on Channel 3 to the nearest number
listed above.

**Example:** Entering C30 will round the volume up to C40.

# SPEED

Try to keep your beats-per-minute at 150 BMP or lower. Anything higher
than that when converting from a MIDI to a MOD for GB Studio requires
some extra work.